summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Alexander Verbovetsky <alik@ejik.org>2023-07-28 20:28:23 +0900
committer Andrew Clemons <andrew.clemons@gmail.com>2023-07-28 21:02:44 +0900
commitc3fc52fd00e9f1d963e84ee6bbd38a150252abe7 (patch)
tree02a138be4f30eec1e135ea429be0a0a57b76051f
parentfd7cae923ddfc8e34dec01f055c4b950bf81eeed (diff)
downloadslackbuilds-c3fc52fd00e9f1d963e84ee6bbd38a150252abe7.tar.gz
slackbuilds-c3fc52fd00e9f1d963e84ee6bbd38a150252abe7.tar.xz
libraries/go-sendxmpp: Updated for version 0.6.1.
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com>
-rw-r--r--libraries/go-sendxmpp/README6
-rw-r--r--libraries/go-sendxmpp/go-sendxmpp.SlackBuild110
-rw-r--r--libraries/go-sendxmpp/go-sendxmpp.info38
-rw-r--r--libraries/go-sendxmpp/modules.txt99
-rw-r--r--libraries/go-sendxmpp/slack-desc19
5 files changed, 272 insertions, 0 deletions
diff --git a/libraries/go-sendxmpp/README b/libraries/go-sendxmpp/README
new file mode 100644
index 0000000000..3475f1193d
--- /dev/null
+++ b/libraries/go-sendxmpp/README
@@ -0,0 +1,6 @@
+Go-sendxmpp is a little command line tool to send messages or files to
+an XMPP contact or a multi user chat.
+
+XMPP is an open, non-proprietary protocol for instant messaging.
+
+google-go-lang is needed only at build time.
diff --git a/libraries/go-sendxmpp/go-sendxmpp.SlackBuild b/libraries/go-sendxmpp/go-sendxmpp.SlackBuild
new file mode 100644
index 0000000000..591fe3efd3
--- /dev/null
+++ b/libraries/go-sendxmpp/go-sendxmpp.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/bash
+
+# Slackware build script for go-sendxmpp
+
+# Copyright 2022-2023, Alexander Verbovetsky, Moscow, Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=go-sendxmpp
+VERSION=${VERSION:-0.6.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-v$VERSION
+tar xvf $CWD/$PRGNAM-v$VERSION.tar.gz
+cd $PRGNAM-v$VERSION
+
+mkdir -p vendor
+cat $CWD/modules.txt > vendor/modules.txt
+for DIR in $(grep -o "^# .* " vendor/modules.txt | cut -d' ' -f2)
+do
+ NAME=$(echo $DIR | sed 's/[./]v[0-9]\+$//' | xargs basename)
+ DIR=vendor/$DIR
+ find -L $CWD -maxdepth 1 -type f -regex ".*/${NAME}-[^-]*\.tar\.gz" \
+ -exec tar xvf '{}' \;
+ mkdir -p $(dirname $DIR)
+ mv ${NAME}-* $DIR
+done
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CGO_CFLAGS="$SLKCFLAGS" \
+CGO_CXXFLAGS="$SLKCFLAGS" \
+go build -mod vendor
+
+install -sDm 0755 go-sendxmpp -t $PKG/usr/bin
+
+mkdir -p $PKG/usr/man/man{1,5}
+gzip -9 -c man/go-sendxmpp.1 > $PKG/usr/man/man1/go-sendxmpp.1.gz
+gzip -9 -c man/go-sendxmpp.5 > $PKG/usr/man/man5/go-sendxmpp.5.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.md README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/go-sendxmpp/go-sendxmpp.info b/libraries/go-sendxmpp/go-sendxmpp.info
new file mode 100644
index 0000000000..4d91e341cc
--- /dev/null
+++ b/libraries/go-sendxmpp/go-sendxmpp.info
@@ -0,0 +1,38 @@
+PRGNAM="go-sendxmpp"
+VERSION="0.6.1"
+HOMEPAGE="https://salsa.debian.org/mdosch/go-sendxmpp"
+DOWNLOAD="https://salsa.debian.org/mdosch/go-sendxmpp/-/archive/v0.6.1/go-sendxmpp-v0.6.1.tar.gz \
+ https://github.com/ProtonMail/go-crypto/archive/5aa5874/go-crypto-5aa5874ade952245a25a0108a22247de3334a124.tar.gz \
+ https://github.com/ProtonMail/go-mime/archive/7d82a38/go-mime-7d82a3887f2f309b99a465c2025e74b117c3fac6.tar.gz \
+ https://github.com/ProtonMail/gopenpgp/archive/v2.7.2/gopenpgp-2.7.2.tar.gz \
+ https://github.com/beevik/etree/archive/v1.2.0/etree-1.2.0.tar.gz \
+ https://github.com/cloudflare/circl/archive/v1.3.3/circl-1.3.3.tar.gz \
+ https://github.com/gabriel-vasile/mimetype/archive/v1.4.2/mimetype-1.4.2.tar.gz \
+ https://github.com/mattn/go-xmpp/archive/v0.0.1/go-xmpp-0.0.1.tar.gz \
+ https://github.com/pborman/getopt/archive/v2.1.0/getopt-2.1.0.tar.gz \
+ https://github.com/pkg/errors/archive/v0.9.1/errors-0.9.1.tar.gz \
+ https://github.com/golang/crypto/archive/v0.11.0/crypto-0.11.0.tar.gz \
+ https://github.com/golang/net/archive/v0.12.0/net-0.12.0.tar.gz \
+ https://github.com/golang/sys/archive/v0.10.0/sys-0.10.0.tar.gz \
+ https://github.com/golang/text/archive/v0.11.0/text-0.11.0.tar.gz \
+ https://salsa.debian.org/mdosch/xmppsrv/-/archive/v0.2.5/xmppsrv-v0.2.5.tar.gz"
+MD5SUM="bdca79cd1946f760e8cfc91d8f173c28 \
+ cc023861dccb780580d02a63fe5cf3a2 \
+ a6ae51724981dd98d1564dba0df3979a \
+ 62cf917a50fb3dbf600223761a325a61 \
+ 10eb994ebfb901e96cb889fcd3be3f68 \
+ 9374f897aea765a0b31eb9d37e681b88 \
+ ec892abe8fcb219ab7ed076d6cfd4f4f \
+ 2adadd552fbcb7273875eeebcd3fe62f \
+ c52d24206b9fe29454e909a6ecbefe99 \
+ 0951216925c98fda75a484a528b06af6 \
+ dd8000047d9250518eb8fe14b6008d01 \
+ 664aabc0ea7e4be1eb572605316a281d \
+ d49413569eb30e2accd603cf0a6d0729 \
+ fd75ff1d54c11fb9b8ac63bab878ec6e \
+ 540f7ebc4d08b41610b8df18d5571aa3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="google-go-lang"
+MAINTAINER="Alexander Verbovetsky"
+EMAIL="alik@ejik.org"
diff --git a/libraries/go-sendxmpp/modules.txt b/libraries/go-sendxmpp/modules.txt
new file mode 100644
index 0000000000..243d5b5026
--- /dev/null
+++ b/libraries/go-sendxmpp/modules.txt
@@ -0,0 +1,99 @@
+# github.com/ProtonMail/go-crypto v0.0.0-20230717121422-5aa5874ade95
+## explicit; go 1.13
+github.com/ProtonMail/go-crypto/bitcurves
+github.com/ProtonMail/go-crypto/brainpool
+github.com/ProtonMail/go-crypto/eax
+github.com/ProtonMail/go-crypto/internal/byteutil
+github.com/ProtonMail/go-crypto/ocb
+github.com/ProtonMail/go-crypto/openpgp
+github.com/ProtonMail/go-crypto/openpgp/aes/keywrap
+github.com/ProtonMail/go-crypto/openpgp/armor
+github.com/ProtonMail/go-crypto/openpgp/clearsign
+github.com/ProtonMail/go-crypto/openpgp/ecdh
+github.com/ProtonMail/go-crypto/openpgp/ecdsa
+github.com/ProtonMail/go-crypto/openpgp/eddsa
+github.com/ProtonMail/go-crypto/openpgp/elgamal
+github.com/ProtonMail/go-crypto/openpgp/errors
+github.com/ProtonMail/go-crypto/openpgp/internal/algorithm
+github.com/ProtonMail/go-crypto/openpgp/internal/ecc
+github.com/ProtonMail/go-crypto/openpgp/internal/encoding
+github.com/ProtonMail/go-crypto/openpgp/packet
+github.com/ProtonMail/go-crypto/openpgp/s2k
+# github.com/ProtonMail/go-mime v0.0.0-20230322103455-7d82a3887f2f
+## explicit; go 1.12
+github.com/ProtonMail/go-mime
+# github.com/ProtonMail/gopenpgp/v2 v2.7.2
+## explicit; go 1.15
+github.com/ProtonMail/gopenpgp/v2/armor
+github.com/ProtonMail/gopenpgp/v2/constants
+github.com/ProtonMail/gopenpgp/v2/crypto
+github.com/ProtonMail/gopenpgp/v2/internal
+# github.com/beevik/etree v1.2.0
+## explicit; go 1.13
+github.com/beevik/etree
+# github.com/cloudflare/circl v1.3.3
+## explicit; go 1.19
+github.com/cloudflare/circl/dh/x25519
+github.com/cloudflare/circl/dh/x448
+github.com/cloudflare/circl/ecc/goldilocks
+github.com/cloudflare/circl/internal/conv
+github.com/cloudflare/circl/internal/sha3
+github.com/cloudflare/circl/math
+github.com/cloudflare/circl/math/fp25519
+github.com/cloudflare/circl/math/fp448
+github.com/cloudflare/circl/math/mlsbset
+github.com/cloudflare/circl/sign
+github.com/cloudflare/circl/sign/ed25519
+github.com/cloudflare/circl/sign/ed448
+# github.com/gabriel-vasile/mimetype v1.4.2
+## explicit; go 1.20
+github.com/gabriel-vasile/mimetype
+github.com/gabriel-vasile/mimetype/internal/charset
+github.com/gabriel-vasile/mimetype/internal/json
+github.com/gabriel-vasile/mimetype/internal/magic
+# github.com/mattn/go-xmpp v0.0.1
+## explicit
+github.com/mattn/go-xmpp
+# github.com/pborman/getopt/v2 v2.1.0
+## explicit; go 1.13
+github.com/pborman/getopt/v2
+# github.com/pkg/errors v0.9.1
+## explicit
+github.com/pkg/errors
+# golang.org/x/crypto v0.11.0
+## explicit; go 1.17
+golang.org/x/crypto/argon2
+golang.org/x/crypto/blake2b
+golang.org/x/crypto/cast5
+golang.org/x/crypto/hkdf
+golang.org/x/crypto/pbkdf2
+golang.org/x/crypto/sha3
+# golang.org/x/net v0.12.0
+## explicit; go 1.17
+golang.org/x/net/html
+golang.org/x/net/html/atom
+# golang.org/x/sys v0.10.0
+## explicit; go 1.17
+golang.org/x/sys/cpu
+# golang.org/x/text v0.11.0
+## explicit; go 1.17
+golang.org/x/text/encoding
+golang.org/x/text/encoding/charmap
+golang.org/x/text/encoding/htmlindex
+golang.org/x/text/encoding/internal
+golang.org/x/text/encoding/internal/identifier
+golang.org/x/text/encoding/japanese
+golang.org/x/text/encoding/korean
+golang.org/x/text/encoding/simplifiedchinese
+golang.org/x/text/encoding/traditionalchinese
+golang.org/x/text/encoding/unicode
+golang.org/x/text/internal/language
+golang.org/x/text/internal/language/compact
+golang.org/x/text/internal/tag
+golang.org/x/text/internal/utf8internal
+golang.org/x/text/language
+golang.org/x/text/runes
+golang.org/x/text/transform
+# salsa.debian.org/mdosch/xmppsrv v0.2.5
+## explicit; go 1.16
+salsa.debian.org/mdosch/xmppsrv
diff --git a/libraries/go-sendxmpp/slack-desc b/libraries/go-sendxmpp/slack-desc
new file mode 100644
index 0000000000..27eaa376e1
--- /dev/null
+++ b/libraries/go-sendxmpp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+go-sendxmpp: go-sendxmpp (send xmpp messages from the command line)
+go-sendxmpp:
+go-sendxmpp:
+go-sendxmpp: Go-sendxmpp is a little command line tool to send messages or files
+go-sendxmpp: to an XMPP contact or a multi user chat.
+go-sendxmpp:
+go-sendxmpp: XMPP is an open, non-proprietary protocol for instant messaging.
+go-sendxmpp:
+go-sendxmpp: Homepage: https://salsa.debian.org/mdosch/go-sendxmpp
+go-sendxmpp:
+go-sendxmpp: